Subject: bug#41250: 28.0.50; Dired displays unconditionally ls-switches on modeline

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 May 2020 09:43:42 +0300

> From: Juri Linkov <[email-masked]>
> Date: Fri, 15 May 2020 01:33:51 +0300
> Cc: [email-masked]
> 
> > I suggest, as small improvement, to introduce a user option to turn off
> > or on displaying of ls-switches on modeline. As a suggestion I have
> > attached small hack to dired.el as tested on my copy of Emacs, but you
> > might wish to rewrite it. Drew had some other suggestions.
> 
> Maybe instead of boolean better to use a number for the allowed limit
> that should not grow more than this number that means the length of
> switches string that the user can tolerate on the modeline.
> 
> Then modeline will display abbreviation truncated to the specified
> number of characters, with an ellipses, on the assumption that
> the most important switches are at the beginning of the string.

That sounds better.  Bonus points for arranging a tooltip that would
show the full string when the mouse is over that part of the mode
line.

> Customizing it to 0 effectively disables the display of switches.

Why not simply use nil?  We could use zero, but that is a bit
"tricky", and doesn't seem to me justified in this case.